# Science Journal releases

In keeping with Google tradition (most famous in the naming of Android releases),
Science Journal releases have pre-release codenames based on scientists.

## Anning release (1.0, 2016.05.20)

* Observe and record on-device sensors
* Organize data into experiments and projects
* Add pictures and notes to experiments and trials
* Graph sonification (for accessibility and fun)
* Connect to bluetooth-enabled Arduino-based sensors

Mary Anning was born in 1799 to a family that supplemented her father's cabinet-making income by
finding and selling fossils.  They lived in Lyme Regis, a region whose shale-and-limestone geography
meant that frequent landslides would expose new fossils regularly.

She took over the family business, expanding from the occasional single bones and fossilized
ammonite shells.  She found the first complete Ichthyosaurus skeleton, and some of the best
early examples of Plesiosaurus and pterosaurs.  She had no formal science education, and
taught herself anatomy and taxonomy by dissecting modern creatures and reading the latest
scientific papers.

The complete fossil skeletons she found, and their obvious anatomic similarities and
differences when compared to modern animals, helped to frame questions around the development of
life on Earth.  She corresponded with many of the day's scientists, including Adam Sedgwick,
a geologist from the University of Cambridge whose students included a young Charles
Darwin.

<p><a href="https://commons.wikimedia.org/wiki/File:Mary_Anning_painting.jpg#/media/File:Mary_Anning_painting.jpg"><img src="https://upload.wikimedia.org/wikipedia/commons/e/e7/Mary_Anning_painting.jpg" alt="Portrait of a woman in bonnet and long dress holding rock hammer, pointing at fossil next to spaniel dog lying on ground." height="480" width="349"></a><br><small>By <a rel="nofollow" class="external text" href="http://www.nhm.ac.uk/nature-online/online-exhibitions/art-themes/caught_in_oils/more/anning_more_info.htm">Credited to 'Mr. Grey' in Crispin Tickell's book 'Mary Anning of Lyme Regis' (1996)</a> - <a rel="nofollow" class="external text" href="http://www.sedgwickmuseum.org/education/Mary_Anning_Pictures.pdf">Two versions side by side</a>, Sedgwick Museum. Also see <a rel="nofollow" class="external text" href="http://www.sedgwickmuseum.org/education/ideas_and_evidence.html">here</a>. According to the Sedgwick Museum, there are two versions. The earlier version is by an unknown artist, dated before 1842 and credited to the Geological Society. The later version is a copy by B.J. M. Donne in 1847 or 1850, and is credited to the Natural History Museum in London. Also see <a rel="nofollow" class="external text" href="http://books.google.com/books?id=pe8VMJ0OLOgC&amp;pg=PA11">here</a>., Public Domain, <a href="https://commons.wikimedia.org/w/index.php?curid=3824696">Link</a></small></p>

## Burnell release (1.1, 2016.08.27)

* Release open-source build on GitHub
* Improvements in graph performance.
* Add captions to picture notes
* Audio settings for data sonification

Dame Jocelyn Bell Burnell spent her post-graduate years (1965-1969) constructing and using a radio
telescope that spanned four acres.  Analyzing the data from the telescope, she discovered a radio
source that was pulsing once a second with a very regular frequency.  The object was originally
labelled "LGM-1", for "Little Green Man 1".

What Burnell had found was a _pulsar_, a neutron star that is rotating very rapidly, with a radio
beam that is being emitted along a single axis, like a fast-spinning lighthouse.  Because the signal
from a pulsar can act as a precise "clock" far away in the universe, pulsars can be used in several
ways to measure objects and processes far out in space.  In one example, two pulsars in orbit around
each other could be measured to be losing energy at the rate predicted by Einstein's theory of
gravitational waves.

<p><a href="https://commons.wikimedia.org/wiki/File:Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell_cropped.jpg#/media/File:Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell_cropped.jpg"><img src="https://upload.wikimedia.org/wikipedia/commons/c/c4/Launch_of_IYA_2009%2C_Paris_-_Grygar%2C_Bell_Burnell_cropped.jpg" alt="Launch of IYA 2009, Paris - Grygar, Bell Burnell cropped.jpg" height="480" width="344"></a><br><small>By <a href="//commons.wikimedia.org/wiki/File:Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell.jpg" title="File:Launch of IYA 2009, Paris - Grygar, Bell Burnell.jpg">Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell.jpg</a>: Astronomical Institute, Academy of Sciences of the Czech Republic
derivative work: <a href="//commons.wikimedia.org/wiki/User:Anrie" title="User:Anrie">Anrie</a> (<a href="//commons.wikimedia.org/wiki/User_talk:Anrie" title="User talk:Anrie"><span class="signature-talk">talk</span></a>) - <a href="//commons.wikimedia.org/wiki/File:Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell.jpg" title="File:Launch of IYA 2009, Paris - Grygar, Bell Burnell.jpg">Launch_of_IYA_2009,_Paris_-_Grygar,_Bell_Burnell.jpg</a>, <a href="http://creativecommons.org/licenses/by-sa/3.0" title="Creative Commons Attribution-Share Alike 3.0">CC BY-SA 3.0</a>, <a href="https://commons.wikimedia.org/w/index.php?curid=9988968">Link</a></small></p>

## Cannon release (1.2, 2016.11.16)

* Sensor triggers: Alert, make notes or start and stop recording when specific sensor values are met
* Third-party sensor API
* Delete experiments and projects
* Add barometer

Annie Jump Cannon, born in 1863, produced the Harvard Classification System of stars still in use
today (Ever heard a character in a science fiction show say something like "Sensor readings indicate
the presence of a G-type star"?  G-type, that's Cannon's classification).  She catalogued more than
500,000 stars, and became famous for taking about 20 seconds on average to classify a star from the
pattern of its color spectrum.

As a result of childhood scarlet fever, Cannon was deaf through most of her career, and used
lip-reading to communicate with colleagues.  She said that she used her deafness to her
advantage, silencing the world to concentrate on the patterns in astronomical data.

Cannon's work and support were very important in Cecilia Payne's
[PhD thesis](http://www.amnh.org/explore/resource-collections/cosmic-horizons/profile-cecilia-payne-and-the-composition-of-the-stars/),
which showed for the first time that stars had vast amounts of hydrogen, upsetting the conventional
wisdom that stars and planets had similar chemical compositions.

![Annie Jump Cannon](https://lh3.googleusercontent.com/6OMO6w4b7BLGxcJ6DLgqKQhHeBX4k_xuhRO9G3hfBmuiUBnTWK8yJNh0T_W2sEQPS4yDe63oo5sDZUPsc0qj2rPJxwcplZFHOPWRvwNO3A=s660)

[2014 Google doodle](https://www.google.com/doodles/annie-jump-cannons-151st-birthday)

## "Cannon++" release (1.2.253, 2017.03.08)

* Chromebook support
* Crop data in recordings
* Nougat multiwindow support

## Dresselhaus release (2.0.312, 2017.10.12)

* Brand-new interface for taking notes and documenting science experiments.
* New snapshot feature for capturing individual data points.
* New sensors: linear accelerometer, magnetometer, and compass
* Redesigned gallery for browsing experiments
* (matches UI now available on iOS devices)

As a graduate student at the University of Chicago, Mildred Dresselhaus (1930-2017)
worked in the department headed by Enrico Fermi, the creator of the first
nuclear reactor.  Fermi would walk to the office at exactly the same time every
morning, and Dresselhaus timed leaving her house so she could join him as he
walked and thought out loud.  She gathered much of the materials for her PhD
project, on how superconductors worked in a magnetic field, under the
university's football stands, where the surplus equipment for that reactor
was still available.

In 1960, Dresselhaus moved to MIT's Lincoln Laboratory.  Superconductors
had become a popular and crowded field; she decided to seek out a neglected
topic, and found a fascination with carbon compounds like graphite
(the material in pencil leads).  Lincoln Lab had its own challenges; at one
point, she tried to bring her one-day-old baby to the office with her, but
was turned away, because the infant didn't have security clearance.

Carbon turned out to be much more versatile than anyone expected.  Dresselhaus
and her lab laid the foundations for creating nanotubes (strong, thin structures
that may someday be used to build elevators to space) and graphene (which
may someday lead to leaps in battery storage capacity and circuit
minaturization).  She earned her nickname, "The Queen of Carbon", and
was awarded a Presidential Medal of Freedom from President Obama, and
the Medal of Honor from the Institute of Electrical and Electronics Engineers.

<p><a href="https://commons.wikimedia.org/wiki/File:Barack_Obama_greets_Burton_Richter_and_Mildred_Dresselhaus_(cropped).jpg#/media/File:Barack_Obama_greets_Burton_Richter_and_Mildred_Dresselhaus_(cropped).jpg"><img src="https://upload.wikimedia.org/wikipedia/commons/f/f5/Barack_Obama_greets_Burton_Richter_and_Mildred_Dresselhaus_%28cropped%29.jpg" alt="Barack Obama greets Burton Richter and Mildred Dresselhaus (cropped).jpg"></a><br>By Official White House Photo by Pete Souza - <a rel="nofollow" class="external free" href="http://www.flickr.com/photos/whitehouse/7365530528/in/photostream">http://www.flickr.com/photos/whitehouse/7365530528/in/photostream</a>, Public Domain, <a href="https://commons.wikimedia.org/w/index.php?curid=38819247">Link</a></p>
